/*
 * GeometryNameValidator.hpp
 *
 *  Created on: Mar 27, 2017
 *      Author: heber
 */

#ifndef GEOMETRYNAMEVALIDATOR_HPP_
#define GEOMETRYNAMEVALIDATOR_HPP_


// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string>

#include "Parameters/Validators/Validator.hpp"

/** This validators checks whether the geometry name is interpretable as regular vector,
 * i.e. three numbers separated by comma.
 */
class GeometryNameValidator : public Validator<std::string>
{
protected:
  bool isValid(const std::string & _value) const;
  bool operator==(const Validator<std::string> &_instance) const;
  Validator< std::string >* clone() const;
};


#endif /* GEOMETRYNAMEVALIDATOR_HPP_ */
