/*
 * PresentGeometryNameValidator.hpp
 *
 *  Created on: Mar 30, 2017
 *      Author: heber
 */

#ifndef PRESENTGEOMETRYNAMEVALIDATOR_HPP_
#define PRESENTGEOMETRYNAMEVALIDATOR_HPP_


// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string>

#include "Parameters/Validators/Validator.hpp"
#include "Parameters/Validators/Specific/GeometryNameValidator.hpp"

/** This validators checks whether the geometry name is interpretable as regular vector,
 * i.e. three numbers separated by comma.
 */
class PresentGeometryNameValidator : public GeometryNameValidator
{
  bool isValid(const std::string & _value) const;
  bool operator==(const Validator<std::string> &_instance) const;
  Validator< std::string >* clone() const;
};


#endif /* PRESENTGEOMETRYNAMEVALIDATOR_HPP_ */
